SDL_GetRGBA(3)

NAME
SDL_GetRGBA - Get RGBA values from a pixel in the specified format.

HEADER FILE
Defined in SDL3/SDL_pixels.h

SYNOPSIS
#include "SDL3/SDL.h"

void SDL_GetRGBA(Uint32 pixel,
                 const SDL_PixelFormat * format,
                 Uint8 * r, Uint8 * g, Uint8 * b,
                 Uint8 * a);

DESCRIPTION
This function uses the entire 8-bit [0..255] range when converting color components from pixel formats with less than 8-bits per RGB component (e.g., a completely white pixel in 16-bit RGB565 format would return [0xff, 0xff, 0xff] not [0xf8, 0xfc, 0xf8]). If the surface has no alpha component, the alpha will be returned as 0xff (100% opaque).

FUNCTION PARAMETERS

pixel
    a pixel value

format
    an SDL_PixelFormat
     structure describing the format of the pixel

r   a pointer filled in with the red component

g   a pointer filled in with the green component

b   a pointer filled in with the blue component

a   a pointer filled in with the alpha component

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetRGB(3), SDL_MapRGB(3), SDL_MapRGBA(3)